Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

The Perfect Desktop – Mepis 11


This tutorial shows how you can set up a Mepis 11 desktop that is a full-fledged replacement for a Windows desktop, i.e. that has all the software that people need to do the things they do on their Windows desktops. The advantages are clear: you get a secure system without DRM restrictions that works even on old hardware, and the best thing is: all software comes free of charge. Mepis is a Linux distribution based on Debian Stable.

I want to say first that this is not the only way of setting up such a system. There are many ways of achieving this goal but this is the way I take. I do not issue any guarantee that this will work for you!

 

1 Preliminary Note

To fully replace a Windows desktop, I want the Mepis desktop to have the following software installed:

Graphics:

  • The GIMP – free software replacement for Adobe Photoshop
  • F-Spot – full-featured personal photo management application for the GNOME desktop
  • Google Picasa – application for organizing and editing digital photos

Internet:

  • Firefox/Iceweasel
  • Opera
  • Google Chrome
  • Flash Player 10
  • FileZilla – multithreaded FTP client
  • Thunderbird/Icedove – email and news client
  • Evolution – combines e-mail, calendar, address book, and task list management functions
  • aMule – P2P file sharing application
  • Transmission BitTorrent Client – BitTorrent client
  • Azureus/Vuze – Java Bittorrent client
  • Empathy IM Client – multi-platform instant messaging client
  • Skype
  • Google Earth
  • Xchat IRC – IRC client

Office:

  • OpenOffice Writer – replacement for Microsoft Word
  • OpenOffice Calc – replacement for Microsoft Excel
  • Adobe Reader
  • GnuCash – double-entry book-keeping personal finance system, similar to Quicken
  • Scribus – open source desktop publishing (DTP) application
  • gedit – text editor

Sound & Video:

  • Amarok – audio player
  • Audacity – free, open source, cross platform digital audio editor
  • Banshee – audio player, can encode/decode various formats and synchronize music with Apple iPods
  • MPlayer – media player (video/audio), supports WMA
  • Rhythmbox Music Player – audio player, similar to Apple’s iTunes, with support for iPods
  • gtkPod – software similar to Apple’s iTunes, supports iPod, iPod nano, iPod shuffle, iPod photo, and iPod mini
  • XMMS – audio player similar to Winamp
  • dvd::rip – full featured DVD copy program
  • Kino – free digital video editor
  • Sound Juicer CD Extractor – CD ripping tool, supports various audio codecs
  • VLC Media Player – media player (video/audio)
  • Real Player (available only for Debian Squeeze i386, not x86_64)
  • Totem – media player (video/audio)
  • Xine – media player, supports various formats; can play DVDs
  • Brasero – CD/DVD burning program
  • K3B – CD/DVD burning program
  • Multimedia Codecs

Programming:

  • KompoZer – WYSIWYG HTML editor, similar to Macromedia Dreamweaver, but not as feature-rich (yet)
  • Bluefish – text editor, suitable for many programming and markup languages
  • Eclipse – Extensible Tool Platform and Java IDE

Other:

  • VirtualBox OSE – lets you run your old Windows desktop as a virtual machine under your Linux desktop, so you don’t have to entirely abandon Windows
  • TrueType fonts
  • Java
  • Read-/Write support for NTFS partitions

Lots of our desired applications are available in the Debian repositories.

As you might have noticed, a few applications are redundant, for example there are two CD/DVD burning applications in my list (Brasero, K3B). If you know which one you like best, you obviously don’t need to install the other applications, however if you like choice, then of course you can install both. The same goes for music players like Amarok, Banshee, Rhythmbox, XMMS or browsers (Firefox/Iceweasel, Opera, Google Chrome).

I will use the username ctest in this tutorial, and I will download all necessary files to ctest‘s Downloads directory which is equivalent to the directory /home/ctest/Downloads. If you use another username (which you most probably do ;-)), please replace ctest with your own username. So when I use a command like

cd /home/ctest/Downloads

you must replace ctest.

 

2 Installing The Base System

Download the Mepis iso image (available here: ftp://ftp.belnet.be/packages/mepis/released/SimplyMEPIS-1.5G_11.0.00_32.iso (i386) or ftp://ftp.belnet.be/packages/mepis/released/SimplyMEPIS-1.5G_11.0.00_64.iso (x86_64)) , burn it onto a CD, and boot your computer from it. Select default:

1

Log in as the premade demo user or root, the passwords are given at the top of the screen. Mepis Live mode will then be started:

2

3

Click on MEPIS install and give the root password if you are logged in as demo:

4

Check the checkbox to agree with the terms of use and click on Next:

5

Configure your installation now. Choose the hard drive and the partitioning scheme you want to use and click on Next:

6

A dialogue will pop up if you choose to format your entire disk in order to use it for Mepis. Click Yes if you want to proceed:

7

Select your boot method next. If you do not know what the options mean, leave them as they are and click on Next:

8

Click Yes to proceed and confirm with Ok after the installation of GRUB is done:

9

10

Configure your computer’s data now. Give it a name, a domain and a workgroup. When you are done, click on Next:

11

Configure youre local settings like keyboard layout and time zone afterwards, then click on Next:

12

Select your username now and don’t forget to replace mine with yours in the steps to come. Then click on Next:

13

You are done with the configuration of Mepis now. Click on Yes to reboot your system and log in with your login data afterwards:

14

15

16

The base system is now ready to be used.

3 Update The System

Before you install any new software it is always a good idea to update your system and all exisiting packages. To do that, log in as root first. Open a Terminal (Console) from the main menu and enter:

su

Now you are logged in as root user. Use the following commands afterwards and cofirm with the given key to proceed:

apt-get update

apt-get upgrade

 

4 Inventory Of What We Have So Far

Now let’s browse all menus to see which of our needed applications are already installed:

17

You should find the following situation ([x] marks an application that is already installed, where [ ] is an application that is missing):

Graphics:
[x] The GIMP
[ ] F-Spot
[ ] Picasa

Internet:
[x] Firefox/Iceweasel
[ ] Opera
[ ] Google Chrome
[x] Flash Player 10
[ ] FileZilla
[ ] Thunderbird/Icedove
[ ] Evolution
[ ] aMule
[ ] Transmission BitTorrent Client
[ ] Azureus/Vuze
[ ] Empathy IM Client
[ ] Skype

[ ] Google Earth
[ ] Xchat IRC

Office:
[x] OpenOffice Writer
[x] OpenOffice Calc
[ ] Adobe Reader
[ ] GnuCash
[ ] Scribus
[ ] gedit

Sound & Video:
[x] Amarok
[ ] Audacity
[ ] Banshee
[ ] MPlayer
[ ] Rhythmbox Music Player
[ ] gtkPod
[ ] XMMS
[ ] dvd::rip
[ ] Kino
[ ] Sound Juicer CD Extractor
[x] VLC Media Player
[ ] Real Player
(i386 only)
[ ] Totem
[ ] Xine
[x] Brasero
[ ] K3B
[ ] Multimedia-Codecs

Programming:
[ ] KompoZer
[ ] Bluefish
[ ] Eclipse

Other:
[ ] VirtualBox
[ ] TrueType fonts
[ ] Java
[x] Read/Write support for NTFS partitions

So some applications are already on the system. NTFS read-/write support is enabled by default on Mepis.

 

5 Configure Additional Repositories

Some packages like the Adobe Reader are not available in the standard Debian repositories. The easiest way to make such packages available to your system is to add the Debian-Multimedia, Opera and Google.

First, get back to the terminal and make sure you are logged in as root by entering

su

if you are not root yet and download gedit:

apt-get install gedit

Edit /etc/apt/sources.list afterwards:

gedit /etc/apt/sources.list

Add contrib and non-free to the official Squeeze repositories that are already in the file, e.g. as follows…

[...]
deb http://ftp.de.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

deb http://ftp.de.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze-updates main contrib non-free
[...]

… and add the Debian-Multimedia (you can find a mirror close to you here), Opera and Google repositories, e.g. like this:

[...]
deb http://ftp-stud.hs-esslingen.de/pub/Mirrors/debian-multimedia/ squeeze main non-free
deb-src http://ftp-stud.hs-esslingen.de/pub/Mirrors/debian-multimedia/ squeeze main non-free
deb http://deb.opera.com/opera/ squeeze non-free
deb http://dl.google.com/linux/deb/ stable main

Then install the keys for the added repositories:

wget http://www.debian-multimedia.org/pool/main/d/debian-multimedia-keyring/debian-multimedia-keyring_2010.12.26_all.deb
dpkg -i debian-multimedia-keyring_2010.12.26_all.deb

wget -O – http://deb.opera.com/archive.key | apt-key add –

wget -q -O – https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add –

Finally update your package-list:

apt-get update

6 Install Additional Software

To install additional applications, open the Synaptic Package Manager (System > Synaptic Package Manager):

18

In the Synaptic Package Manager, we can install additional software. You can use the Quick search field to find packages:

19

Select the following packages for installation (* is a wildcard; e.g. gstreamer0.10* means all packages that start with gstreamer0.10):

  • f-spot
  • flashplugin-nonfree
  • filezilla
  • icedove
  • amule
  • amule-utils-gui
  • vuze/azureus
  • xchat
  • xchat-gnome
  • gnucash
  • scribus
  • scribus-template
  • amarok
  • audacity
  • banshee
  • mplayer
  • gtkpod-aac
  • xmms2*
  • empathy
  • libdvdcss2
  • kino
  • mozilla-plugin-vlc
  • vlc*
  • gxine
  • gxineplugin
  • xine-plugin
  • transmission
  • gstreamer0.10*
  • bluefish
  • eclipse
  • ttf-mscorefonts-installer
  • openjdk-6*
  • icedtea6-plugin
  • acroread
  • opera
  • googleearth-package
  • google-chrome-stable
  • w64codecs/w32codecs
  • skype
  • kompozer
  • virtualbox-ose
  • brasero
  • totem
  • sound-juicer
  • gedit
  • rhythmbox

There are also lots of other applications available that you can install as well if you like.

To select a package for installation, click on the checkbox in front of it and select Mark for Installation from the menu that comes up:

20

If a package has a dependency that needs to be satisfied, a window will pop up. Accept the dependencies by clicking on Mark:

21

After you’ve selected the desired packages, click on the Apply button:

22

Confirm your selection by clicking on Apply:

23

The packages are now being downloaded from the repositories and installed. This can take a few minutes, so please be patient:

24

After all packages have been installed, click on Close:

25

You can leave the Synaptic Package Manager afterwards.

 

7 Flash Player

We’ve just installed the Adobe Flash Player 10 in the previous chapter (from Debian-Multimedia). If you type about:plugins in the Firefox/Iceweasel address bar, you should now see it enabled.

27

8 TrueType Fonts

To check if the TrueType fonts have been installed correctly, open a word processor like OpenOffice. You should now find your new Windows fonts there.

 

9 Google Earth

In chapter 6, we have installed the package googleearth-package which is a utility to automatically build a Debian package of Google Earth. This means, Google Earth is not yet installed; we have to first build a .deb package of it with the help of googleearth-package, and then install the .deb package.

Open a terminal (System > Terminal) and become root:

su

Now you can build the Google Earth .deb package as follows:

make-googleearth-package –force

[…]

Package: googleearth
Version: 6.0.3.2197+0.6.0-1
Section: non-free/science
Priority: optional
Maintainer: <root@mepis1>
Architecture: amd64
Depends: ttf-dejavu | ttf-bitstream-vera | msttcorefonts, lsb-core, libqtcore4, libgl1-mesa-glx, ia32-libs (>= 20110609), lib32gcc1 (>= 1:4.1.1), lib32stdc++6 (>= 4.1.1), lib32z1 (>= 1:1.1.4), libc6-i386 (>= 2.0), libc6-i386 (>= 2.1.3), libc6-i386 (>= 2.2), libc6-i386 (>= 2.3), libc6-i386 (>= 2.3.2), libc6-i386 (>= 2.4) , ia32-libs-gtk
Suggests: nvidia-glx-ia32
Description: Google Earth, a 3D map/planet viewer
Package built with googleearth-package.
dpkg-deb: Paket »googleearth« wird in »./googleearth_6.0.3.2197+0.6.0-1_amd64.deb« gebaut.
Success!
You can now install the package with e.g. sudo dpkg -i <package>.deb
[root@mepis1 ctest]#

If you don’t see any errors, then you should find the Google Earth .deb package in the current directory:

ls -l

[root@mepis1 ctest]# ls -l
insgesamt 34412
-rw-r–r– 1 root root 15094 26. Dez 2010 debian-multimedia-keyring_2010.12.26_all.deb
-rw-r–r– 1 root root 15094 26. Dez 2010 debian-multimedia-keyring_2010.12.26_all.deb.1
-rw-r–r– 1 root root 15094 26. Dez 2010 debian-multimedia-keyring_2010.12.26_all.deb.2
drwxr-xr-x 2 ctest users 4096 30. Aug 15:48 Desktop
drwxr-xr-x 2 ctest users 4096 31. Aug 13:37 Documents
drwxr-xr-x 2 ctest users 4096 28. Feb 2010 Downloads
-rw-r–r– 1 root root 35115098 31. Aug 13:40 googleearth_6.0.3.2197+0.6.0-1_amd64.deb
drwxr-xr-x 8 ctest users 4096 8. Nov 2006 Mail
drwxr-xr-x 2 ctest users 4096 14. Mär 2004 Music
drwxr-xr-x 2 ctest users 4096 12. Mär 2004 Pictures
drwxr-xr-x 2 ctest users 4096 4. Sep 2003 Shared
[root@mepis1 ctest]#

To install google earth, first install the gdebi package. Therefore, enter following command into a terminal:

apt-get install gdebi

Now you can install Google Earth as follows:

gdebi googleearth_6.0.3.2197+0.6.0-1_amd64.deb

 

10 Inventory (II)

Now let’s check again what we have so far by browsing the menus again:

26

Our inventory should now look like this:

Graphics:
[x] The GIMP
[x] F-Spot
[ ] Picasa

Internet:
[x] Firefox/Iceweasel
[x] Opera
[x] Google Chrome
[x] Flash Player 10
[x] FileZilla
[x] Thunderbird/Icedove
[x] Evolution
[x] aMule
[x] Transmission BitTorrent Client
[x] Azureus/Vuze
[x] Empathy IM Client
[x] Skype

[x] Google Earth
[x] Xchat IRC

Office:
[x] OpenOffice Writer
[x] OpenOffice Calc
[x] Adobe Reader
[x] GnuCash
[x] Scribus
[x] gedit

Sound & Video:
[x] Amarok
[x] Audacity
[x] Banshee
[x] MPlayer
[x] Rhythmbox Music Player
[x] gtkPod
[x] XMMS
[ ] dvd::rip
[x] Kino
[x] Sound Juicer CD Extractor
[x] VLC Media Player
[ ] Real Player
(i386 only)
[x] Totem
[x] Xine
[x] Brasero
[x] K3B
[x] Multimedia-Codecs

Programming:
[x] KompoZer
[x] Bluefish
[x] Eclipse

Other:
[x] VirtualBox
[x] TrueType fonts
[x] Java
[x] Read/Write support for NTFS partitions

11 Google Picasa

Go to http://picasa.google.com/linux/download.html#picasa30 and select the right .deb package for your architecture (i386 or amd64):

28

Save the file to your computer. After the download has finished, open a terminal and become root:

su

Then go to the directory where you have saved Picasa, e.g. /home/ctest/Downloads:

cd /home/ctest/Downloads

Take a look at the contents of the directory:

ls -l

[root@mepis1 Downloads]# ls -l
insgesamt 31040
-rw-r–r– 1 ctest users 31747574 31. Aug 13:52 picasa_3.0-current_amd64.deb
[root@mepis1 Downloads]#

You can now install Picasa as follows:

gdebi picasa_3.0-current_amd64.deb

Afterwards you can delete the Picasa .deb package:

rm -f picasa_3.0-current_amd64.deb

 

12 RealPlayer (For i386 Systems Only)

(RealPlayer is available for i386 systems only. If you are on an x86_64 system, please skip this chapter.)

Open Firefox and go to http://uk.real.com/realplayer/other-versions. Click on the correct .deb link:

29

Then install the package exactly as shown for Picasa.

 

13 dvdrip

dvdrip gives you dependency errors if you try to install it via Synaptic. That is why you have to install aptitude first.

apt-get install aptitude

After that install dvdrip via aptitude (please notice the highlighted input choices):

aptitude install dvdrip

[root@mepis1 ctest]# aptitude install dvdrip
Die folgenden NEUEN Pakete werden zusätzlich installiert:
dvdrip fping{a} gtk2-ex-formfactory-perl{a}
libanyevent-perl{a} libcairo-perl{a}
libevent-execflow-perl{a} libevent-perl{a}
libevent-rpc-perl{a} libglib-perl{a} libgtk2-perl{a}
libintl-perl{a} libmjpegtools-1.9{a} libmp3lame0{a}
libpango-perl{a} lsdvd{a} transcode{ab} transcode-utils{a}
Die folgenden Pakete werden EMPFOHLEN, aber NICHT installiert:
dvdrip-doc libasync-interrupt-perl libio-socket-ssl-perl
mjpegtools sox subtitleripper transcode-doc twolame
0 Pakete aktualisiert, 17 zusätzlich installiert, 0 werden entfernt und 7 nicht aktualisiert.
Muss 7.777 kB an Archiven herunterladen. Nach dem Entpacken werden 24,7 MB zusätzlich belegt sein.
Die folgenden Pakete haben verletzte Abhägigkeiten:
transcode: Hängt ab von: libavcodec52 (>= 5:0.6.1+svn20101128) aber 4:0.6.1-5 ist installiert.
Hängt ab von: libavformat52 (>= 5:0.6.1+svn20101128) aber 4:0.6.1-5 ist installiert.
Hängt ab von: libpostproc51 (>= 5:0.6.1+svn20101128) aber 4:0.6.1-5 ist installiert.
Die folgenden Aktionen werden diese Abhängigkeiten auflösen:

Beibehalten der folgenden Pakete in ihrer aktuellen Version:
1)     dvdrip [Nicht installiert]
2)     transcode [Nicht installiert]

Diese Lösung akzeptieren? [Y/n/q/?] <— n

Die folgenden Aktionen werden diese Abhängigkeiten auflösen:

Installiere die folgenden Pakete:
1)      libavcore0 [5:0.6.1+svn20101128-0.2 (stable)]
2)      libfaac0 [1.28-0.3 (stable)]
3)      libx264-112 [1:0.svn20110115-0.0 (stable)]
4)      libxvidcore4 [2:1.2.2-0.1 (stable)]

Aktualisieren der folgenden Pakete:
5)      ffmpeg [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128-0.2 (s
6)      libavcodec52 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128-
7)      libavdevice52 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128
8)      libavfilter1 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128-
9)      libavformat52 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128
10)     libavutil50 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128-0
11)     libpostproc51 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128
12)     libswscale0 [4:0.6.1-5 (mepis, now) -> 5:0.6.1+svn20101128-0

Diese Lösung akzeptieren? [Y/n/q/?] <— Y
Die folgenden NEUEN Pakete werden zusätzlich installiert:
dvdrip fping{a} gtk2-ex-formfactory-perl{a}
libanyevent-perl{a} libavcore0{a} libcairo-perl{a}
libevent-execflow-perl{a} libevent-perl{a}
libevent-rpc-perl{a} libfaac0{a} libglib-perl{a}
libgtk2-perl{a} libintl-perl{a} libmjpegtools-1.9{a}
libmp3lame0{a} libpango-perl{a} libx264-112{a}
libxvidcore4{a} lsdvd{a} transcode{a} transcode-utils{a}
Die folgenden Pakete werden aktualisiert:
ffmpeg libavcodec52 libavdevice52 libavfilter1 libavformat52
libavutil50 libpostproc51 libswscale0
Die folgenden Pakete werden EMPFOHLEN, aber NICHT installiert:
dvdrip-doc libasync-interrupt-perl libio-socket-ssl-perl
mjpegtools sox subtitleripper transcode-doc twolame
8 Pakete aktualisiert, 21 zusätzlich installiert, 0 werden entfernt und 7 nicht aktualisiert.
Muss 12,3 MB an Archiven herunterladen. Nach dem Entpacken werden 27,0 MB zusätzlich belegt sein.
Wollen Sie fortsetzen? [Y/n/?]
 <— Y
Hole:1 http://www.debian-multimedia.org/ squeeze/main ffmpeg amd64 5:0.6.1+svn20101128-0.2 [309 kB]
Hole:2 http://www.debian-multimedia.org/ squeeze/main libavfilter1 amd64 5:0.6.1+svn20101128-0.2 [63,3 kB]
Hole:3 http://www.debian-multimedia.org/ squeeze/main libswscale0 amd64 5:0.6.1+svn20101128-0.2 [110 kB]
Hole:4 ftp://ftp.debian.org/debian/ squeeze/main libglib-perl amd64 2:1.223-1 [459 kB]
Hole:5 http://www.debian-multimedia.org/ squeeze/main libpostproc51 amd64 5:0.6.1+svn20101128-0.2 [38,9 kB]
Hole:6 http://www.debian-multimedia.org/ squeeze/main libavdevice52 amd64 5:0.6.1+svn20101128-0.2 [43,3 kB]
Hole:7 http://www.debian-multimedia.org/ squeeze/main libavformat52 amd64 5:0.6.1+svn20101128-0.2 [434 kB]
Hole:8 http://www.debian-multimedia.org/ squeeze/main libavcodec52 amd64 5:0.6.1+svn20101128-0.2 [2.611 kB]
Hole:9 ftp://ftp.debian.org/debian/ squeeze/main libcairo-perl amd64 1.070-1 [123 kB]
Hole:10 http://www.debian-multimedia.org/ squeeze/main libavutil50 amd64 5:0.6.1+svn20101128-0.2 [64,0 kB]
Hole:11 http://www.debian-multimedia.org/ squeeze/main libavcore0 amd64 5:0.6.1+svn20101128-0.2 [30,3 kB]
Hole:12 http://www.debian-multimedia.org/ squeeze/main libfaac0 amd64 1.28-0.3 [41,8 kB]
Hole:13 http://www.debian-multimedia.org/ squeeze/main libmp3lame0 amd64 3.98.4-0.0 [261 kB]
Hole:14 http://www.debian-multimedia.org/ squeeze/main libx264-112 amd64 1:0.svn20110115-0.0 [503 kB]
Hole:15 ftp://ftp.debian.org/debian/ squeeze/main libpango-perl amd64 1.221-2 [246 kB]
Hole:16 http://www.debian-multimedia.org/ squeeze/main libxvidcore4 amd64 2:1.2.2-0.1 [264 kB]
Hole:17 http://www.debian-multimedia.org/ squeeze/main libmjpegtools-1.9 amd64 1:1.9.0-0.7 [265 kB]
Hole:18 http://www.debian-multimedia.org/ squeeze/main transcode amd64 3:1.1.5-0.7 [1.346 kB]
Hole:19 ftp://ftp.debian.org/debian/ squeeze/main libgtk2-perl amd64 2:1.222-1 [1.252 kB]
Hole:20 http://www.debian-multimedia.org/ squeeze/main transcode-utils amd64 3:1.1.5-0.7 [253 kB]
Hole:21 http://www.debian-multimedia.org/ squeeze/main gtk2-ex-formfactory-perl all 0.66-0.0 [218 kB]
Hole:22 http://www.debian-multimedia.org/ squeeze/main libevent-execflow-perl all 0.64-0.0 [41,8 kB]
Hole:23 http://www.debian-multimedia.org/ squeeze/main dvdrip amd64 1:0.98.11-0.0 [1.392 kB]
Hole:24 ftp://ftp.debian.org/debian/ squeeze/main libanyevent-perl amd64 5.271-2 [339 kB]
Hole:25 ftp://ftp.debian.org/debian/ squeeze/main fping amd64 2.4b2-to-ipv6-16.1 [33,9 kB]
Hole:26 ftp://ftp.debian.org/debian/ squeeze/main libintl-perl all 1.20-1 [1.188 kB]
Hole:27 ftp://ftp.debian.org/debian/ squeeze/main lsdvd amd64 0.16-3+b1 [15,6 kB]
Hole:28 ftp://ftp.debian.org/debian/ squeeze/main libevent-perl amd64 1.12-1 [283 kB]
Hole:29 ftp://ftp.debian.org/debian/ squeeze/main libevent-rpc-perl all 1.01-1 [64,9 kB]
12,3 MB wurden in 22 s heruntergeladen (553 kB/s)
(Lese Datenbank … 138059 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von ffmpeg 4:0.6.1-5 (durch …/ffmpeg_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für ffmpeg wird entpackt …
Vorbereitung zum Ersetzen von libavfilter1 4:0.6.1-5 (durch …/libavfilter1_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libavfilter1 wird entpackt …
Vorbereitung zum Ersetzen von libswscale0 4:0.6.1-5 (durch …/libswscale0_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libswscale0 wird entpackt …
Vorbereitung zum Ersetzen von libpostproc51 4:0.6.1-5 (durch …/libpostproc51_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libpostproc51 wird entpackt …
Vorbereitung zum Ersetzen von libavdevice52 4:0.6.1-5 (durch …/libavdevice52_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libavdevice52 wird entpackt …
Vorbereitung zum Ersetzen von libavformat52 4:0.6.1-5 (durch …/libavformat52_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libavformat52 wird entpackt …
Vorbereitung zum Ersetzen von libavcodec52 4:0.6.1-5 (durch …/libavcodec52_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libavcodec52 wird entpackt …
Vorbereitung zum Ersetzen von libavutil50 4:0.6.1-5 (durch …/libavutil50_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Ersatz für libavutil50 wird entpackt …
Vormals abgewähltes Paket libavcore0 wird gewählt.
Entpacken von libavcore0 (aus …/libavcore0_5%3a0.6.1+svn20101128-0.2_amd64.deb) …
Vormals abgewähltes Paket libfaac0 wird gewählt.
Entpacken von libfaac0 (aus …/libfaac0_1.28-0.3_amd64.deb) …
Vormals abgewähltes Paket libmp3lame0 wird gewählt.
Entpacken von libmp3lame0 (aus …/libmp3lame0_3.98.4-0.0_amd64.deb) …
Vormals abgewähltes Paket libx264-112 wird gewählt.
Entpacken von libx264-112 (aus …/libx264-112_1%3a0.svn20110115-0.0_amd64.deb) …
Vormals abgewähltes Paket libxvidcore4 wird gewählt.
Entpacken von libxvidcore4 (aus …/libxvidcore4_2%3a1.2.2-0.1_amd64.deb) …
Vormals abgewähltes Paket libmjpegtools-1.9 wird gewählt.
Entpacken von libmjpegtools-1.9 (aus …/libmjpegtools-1.9_1%3a1.9.0-0.7_amd64.deb) …
Vormals abgewähltes Paket transcode wird gewählt.
Entpacken von transcode (aus …/transcode_3%3a1.1.5-0.7_amd64.deb) …
Vormals abgewähltes Paket transcode-utils wird gewählt.
Entpacken von transcode-utils (aus …/transcode-utils_3%3a1.1.5-0.7_amd64.deb) …
Vormals abgewähltes Paket libglib-perl wird gewählt.
Entpacken von libglib-perl (aus …/libglib-perl_2%3a1.223-1_amd64.deb) …
Vormals abgewähltes Paket libcairo-perl wird gewählt.
Entpacken von libcairo-perl (aus …/libcairo-perl_1.070-1_amd64.deb) …
Vormals abgewähltes Paket libpango-perl wird gewählt.
Entpacken von libpango-perl (aus …/libpango-perl_1.221-2_amd64.deb) …
Vormals abgewähltes Paket libgtk2-perl wird gewählt.
Entpacken von libgtk2-perl (aus …/libgtk2-perl_2%3a1.222-1_amd64.deb) …
Vormals abgewähltes Paket gtk2-ex-formfactory-perl wird gewählt.
Entpacken von gtk2-ex-formfactory-perl (aus …/gtk2-ex-formfactory-perl_0.66-0.0_all.deb) …
Vormals abgewähltes Paket libanyevent-perl wird gewählt.
Entpacken von libanyevent-perl (aus …/libanyevent-perl_5.271-2_amd64.deb) …
Vormals abgewähltes Paket libevent-execflow-perl wird gewählt.
Entpacken von libevent-execflow-perl (aus …/libevent-execflow-perl_0.64-0.0_all.deb) …
Vormals abgewähltes Paket fping wird gewählt.
Entpacken von fping (aus …/fping_2.4b2-to-ipv6-16.1_amd64.deb) …
Vormals abgewähltes Paket libintl-perl wird gewählt.
Entpacken von libintl-perl (aus …/libintl-perl_1.20-1_all.deb) …
Vormals abgewähltes Paket lsdvd wird gewählt.
Entpacken von lsdvd (aus …/lsdvd_0.16-3+b1_amd64.deb) …
Vormals abgewähltes Paket libevent-perl wird gewählt.
Entpacken von libevent-perl (aus …/libevent-perl_1.12-1_amd64.deb) …
Vormals abgewähltes Paket libevent-rpc-perl wird gewählt.
Entpacken von libevent-rpc-perl (aus …/libevent-rpc-perl_1.01-1_all.deb) …
Vormals abgewähltes Paket dvdrip wird gewählt.
Entpacken von dvdrip (aus …/dvdrip_1%3a0.98.11-0.0_amd64.deb) …
Trigger für man-db werden verarbeitet …
Trigger für menu werden verarbeitet …
libavutil50 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libavcore0 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libfaac0 (1.28-0.3) wird eingerichtet …
libmp3lame0 (3.98.4-0.0) wird eingerichtet …
libx264-112 (1:0.svn20110115-0.0) wird eingerichtet …
libxvidcore4 (2:1.2.2-0.1) wird eingerichtet …
libavcodec52 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libavformat52 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libavdevice52 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libswscale0 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libavfilter1 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
libpostproc51 (5:0.6.1+svn20101128-0.2) wird eingerichtet …
ffmpeg (5:0.6.1+svn20101128-0.2) wird eingerichtet …
Neue Version der Konfigurationsdatei /etc/ffserver.conf wird installiert …
libmjpegtools-1.9 (1:1.9.0-0.7) wird eingerichtet …
transcode (3:1.1.5-0.7) wird eingerichtet …
transcode-utils (3:1.1.5-0.7) wird eingerichtet …
libglib-perl (2:1.223-1) wird eingerichtet …
libcairo-perl (1.070-1) wird eingerichtet …
libpango-perl (1.221-2) wird eingerichtet …
libgtk2-perl (2:1.222-1) wird eingerichtet …
gtk2-ex-formfactory-perl (0.66-0.0) wird eingerichtet …
libanyevent-perl (5.271-2) wird eingerichtet …
libevent-execflow-perl (0.64-0.0) wird eingerichtet …
fping (2.4b2-to-ipv6-16.1) wird eingerichtet …
libintl-perl (1.20-1) wird eingerichtet …
lsdvd (0.16-3+b1) wird eingerichtet …
libevent-perl (1.12-1) wird eingerichtet …
libevent-rpc-perl (1.01-1) wird eingerichtet …
dvdrip (1:0.98.11-0.0) wird eingerichtet …
Trigger für menu werden verarbeitet …

Aktueller Status: 7 Aktualisierungen [-8].
[root@mepis1 ctest]#

14 Inventory (III)

We have now all wanted applications installed:

Graphics:
[x] The GIMP
[x] F-Spot
[x] Picasa

Internet:
[x] Firefox/Iceweasel
[x] Opera
[x] Google Chrome
[x] Flash Player 10
[x] FileZilla
[x] Thunderbird/Icedove
[x] Evolution
[x] aMule
[x] Transmission BitTorrent Client
[x] Azureus/Vuze
[x] Empathy IM Client
[x] Skype
(i386 only)
[x] Google Earth
[x] Xchat IRC

Office:
[x] OpenOffice Writer
[x] OpenOffice Calc
[x] Adobe Reader
[x] GnuCash
[x] Scribus
[x] gedit

Sound & Video:
[x] Amarok
[x] Audacity
[x] Banshee
[x] MPlayer
[x] Rhythmbox Music Player
[x] gtkPod
[x] XMMS
[x] dvd::rip
[x] Kino
[x] Sound Juicer CD Extractor
[x] VLC Media Player
[x] Real Player
(i386 only)
[x] Totem
[x] Xine
[x] Brasero
[x] K3B
[x] Multimedia-Codecs

Programming:
[x] KompoZer
[x] Bluefish
[x] Eclipse

Other:
[x] VirtualBox
[x] TrueType fonts
[x] Java
[x] Read/Write support for NTFS partition

 

  • Mepis: http://www.mepis.org/

 

Comments

comments